MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024431Open CASCADE[OCCT] OCCT:Documentationpublic2013-12-03 12:392016-02-13 16:19
Reportersdv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024431: Using svg-images in the documentation
DescriptionIt is necessary to add opportunity to include svg-images to the documentation. Note, that documentation could be generated in PDF and HTML.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024649closedapn Update user's guide for Boolean operations 

-  Notes
(0027047)
sdv (developer)
2013-12-03 13:23
edited on: 2013-12-03 13:23

In order to add svg files to the documentation it is necessary to install inkscape 0.48.4 or higher. Environment variable PATH should be updated.
Automatically generated bu doxygen files (make.bat, doxygen.sty) are postprocessed by occdoc.tcl.
SVG-files should be located in the directory with other images.

Use markdown syntax to include svg-image to the HTML:
![Caption text]( img.svg "Image title" )

Use next syntax to include svg-image to the PDF:
\latexonly
 \begin{DoxySVGImage}
 \includesvg{image}
 \caption{The test svg-image}
 \end{DoxySVGImage}
\endlatexonly
Note, that extention of image is hidden.

(0027099)
sdv (developer)
2013-12-05 13:00

Another way to include images has been implemented:
@OCCImage image_name.png
@OCCImage image_name2.svg Caption text

Note: this way allows to include SVG and other formats equally. Format of documentation (PDF or HTML) also does not matter.
(0027111)
sdv (developer)
2013-12-05 16:20

Chapter dev_guides/Documentation System has been updated
(0027113)
sdv (developer)
2013-12-05 16:23

Dear abv,
Could you check Branch CR24431?
(0028099)
abv (manager)
2014-03-03 17:38

I have reimplemented support of SVG with less interference with LaTeX documents, by direct conversion of SVG files to PDF. Images can now be inserted with single command @figure{path/to/file.png,"Caption"}. Documentation is extended by additional details on installing MikTeX and Inkscape and insertion of images.

Yuri, please check if this works in your environment. Please convert all images that were in vector format (MS Word Draw) to SVG, and updating all image insertion commands throughout OCCT docs to use new command @figure (as far as it is appropriate).
(0028182)
ysn (developer)
2014-03-07 16:51

I've added existing .svg images, reviewed documentation.md and added some advice basing on my own experience.

I guess we can close it now.
(0028183)
abv (manager)
2014-03-07 17:03

Considered as tested, please integrate

- Related Changesets
occt: master 3d68eaf5
Timestamp: 2014-03-13 09:20:08
Author: abv
Committer: bugmaster
Details ] Diff ]
0024431: Using svg-images in the documentation

Documentation generator improved to automatically convert SVG images to PDF when PDF documents are generated. This is done with Inkscape thus it becomes necessary for generation of PDF documents.

Doxygen alias "figure" added for easy insertion of images with single command for both HTML and PDF output.

Documentation is updated.

Reviewed documentation.md and added more recommendations on Document Syntax.
Introduced existing svg images in the documentation.

Description of formatting of plain text, code blocks, and references revised.
Snapshot of structure of dox folder is updated.
Copyright year is corrected in PDF documents to be always the current one.

Some grammar corrections.
mod - dox/dev_guides/documentation/documentation.md Diff ] File ]
add - dox/dev_guides/documentation/images/documentation_folders.png Diff ] File ]
rm - dox/dev_guides/documentation/images/documentation_image001.png Diff ] File ]
rm - dox/dev_guides/documentation/images/documentation_image002.png Diff ] File ]
add - dox/dev_guides/documentation/images/documentation_miktex.png Diff ] File ]
add - dox/dev_guides/documentation/images/documentation_test_image.svg Diff ] File ]
mod - dox/occdoc.tcl Diff ] File ]
rm - dox/tutorial/images/tutorial_image003.png Diff ] File ]
add - dox/tutorial/images/tutorial_image003.svg Diff ] File ]
mod - dox/tutorial/tutorial.md Diff ] File ]
rm - dox/user_guides/ocaf/images/ocaf_image003.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image003.svg Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
rm - dox/user_guides/shape_healing/images/shape_healing_image009.png Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image009.svg Diff ] File ]
mod - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-12-03 12:39 sdv New Issue
2013-12-03 12:39 sdv Assigned To => sdv
2013-12-03 13:23 sdv Note Added: 0027047
2013-12-03 13:23 sdv Note Edited: 0027047 View Revisions
2013-12-05 13:00 sdv Note Added: 0027099
2013-12-05 16:20 sdv Note Added: 0027111
2013-12-05 16:23 sdv Note Added: 0027113
2013-12-05 16:24 sdv Assigned To sdv => abv
2013-12-05 16:24 sdv Status new => resolved
2013-12-10 10:05 abv Product Version Unscheduled => 6.7.0
2013-12-10 10:05 abv Target Version Unscheduled => 6.7.0
2013-12-21 10:13 abv Target Version 6.7.0 => 6.7.1
2014-01-13 11:15 bugmaster Category OCCT Release:DOC => OCCT:Documentation
2014-02-22 11:46 abv Relationship added related to 0024649
2014-03-03 17:38 abv Note Added: 0028099
2014-03-03 17:38 abv Assigned To abv => ysn
2014-03-03 17:38 abv Status resolved => reviewed
2014-03-07 16:51 ysn Note Added: 0028182
2014-03-07 16:51 ysn Status reviewed => feedback
2014-03-07 17:03 abv Note Added: 0028183
2014-03-07 17:03 abv Assigned To ysn => bugmaster
2014-03-07 17:03 abv Status feedback => tested
2014-03-17 11:21 bugmaster Changeset attached => occt master 3d68eaf5
2014-03-17 11:21 bugmaster Status tested => verified
2014-03-17 11:21 bugmaster Resolution open => fixed
2014-05-05 13:33 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker